commit:     ebe2232a79f5cee604ae6fd7d3492119237f7dd5
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Sun Sep 17 00:11:19 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 01:42:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebe2232a

gnome-base/nautilus: Version bump to 45.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/32866
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-base/nautilus/Manifest             |   1 +
 gnome-base/nautilus/nautilus-45.0.ebuild | 122 +++++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/gnome-base/nautilus/Manifest b/gnome-base/nautilus/Manifest
index 14f46a891006..46fd30ad956d 100644
--- a/gnome-base/nautilus/Manifest
+++ b/gnome-base/nautilus/Manifest
@@ -1,2 +1,3 @@
 DIST nautilus-44.2.1.tar.xz 3190824 BLAKE2B 
159abd8fbaea3f372febb4c7f68f95d97b50ac19e31d6108c9588aa849f92ea82a2a04402c8ee78f223339ffe929ed3fc95e4606db7753adacf6edb49f340910
 SHA512 
35974f9d2d785c69d4199287f1b79aa83397b37b3ad3ebe97894ee5e5d9aa4a981808fa443d5c04d2c7223c290a2cad87e3eeb62787b1d241486c39d5e061769
+DIST nautilus-45.0.tar.xz 3212952 BLAKE2B 
38a6e572d6ce41515bb2447bf5636c82b28f0b1fe16b56540910a7c69fb2ce45495ad128d1bd969665749244f2a45e055b22e4c4d5815afc921afe8862776240
 SHA512 
046c2afac51dc42337a1f26cbbb76cbbdc7145999b46574efc02acac5d0bc1ebeb8d84fa4121973216ee49f8a2cc102b62e72eeabc4141c48046cf7685789f64
 DIST nautilus-45.rc.tar.xz 3205144 BLAKE2B 
f79e2271613d2497bfc1608f67b14da4ec034ab28ee19a1a03167214e13afac3bb18650b3197bb4dcc50b68fa5b3c77aee351245e57ee695a6a7c0359e75d80e
 SHA512 
48ff4b45d73be76684c8645c21a64d57fb1057041e84ed568476c94711970dadce734b71319beab6a6791b2e252c7fa65a8be98b0c4ee11b68b7e23db64e8b87

diff --git a/gnome-base/nautilus/nautilus-45.0.ebuild 
b/gnome-base/nautilus/nautilus-45.0.ebuild
new file mode 100644
index 000000000000..3ff38c7b033d
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-45.0.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson readme.gentoo-r1 virtualx xdg
+
+DESCRIPTION="Default file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus";
+
+LICENSE="GPL-3+ LGPL-2.1+"
+SLOT="0"
+IUSE="+cloudproviders gnome +gstreamer gtk-doc +introspection +previewer 
selinux sendto"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.77.0:2
+       >=media-libs/gexiv2-0.14.0
+       >=x11-libs/gdk-pixbuf-2.30.0:2
+       gstreamer? ( media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0 )
+       >=app-arch/gnome-autoar-0.4.4
+       >=gnome-base/gnome-desktop-43:4=
+       >=gnome-base/gsettings-desktop-schemas-42
+       >=gui-libs/gtk-4.11.2:4[introspection?]
+       >=gui-libs/libadwaita-1.4_alpha:1
+       >=dev-libs/libportal-0.5:=[gtk]
+       >=x11-libs/pango-1.28.3
+       selinux? ( >=sys-libs/libselinux-2.0 )
+       >=app-misc/tracker-3.0:3
+       >=dev-libs/libxml2-2.7.8:2
+       cloudproviders? ( >=net-libs/libcloudproviders-0.3.1 )
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+RDEPEND="${DEPEND}
+       >=app-misc/tracker-miners-3.0:3=
+" # uses org.freedesktop.Tracker.Miner.Files gsettings schema from 
tracker-miners
+BDEPEND="
+       >=dev-util/gdbus-codegen-2.51.2
+       dev-util/glib-utils
+       gtk-doc? (
+               app-text/docbook-xml-dtd:4.1.2
+               dev-util/gi-docgen
+       )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+PDEPEND="
+       gnome? ( x11-themes/adwaita-icon-theme )
+       previewer? ( >=gnome-extra/sushi-0.1.9 )
+       sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+       >=gnome-base/gvfs-1.14[gtk(+)]
+" # Need gvfs[gtk] for recent:/// support; always built (without USE=gtk) 
since gvfs-1.34
+
+PATCHES=(
+       "${FILESDIR}"/43.0-optional-gstreamer.patch # Allow controlling 
audio-video-properties build
+)
+
+src_prepare() {
+       default
+       xdg_environment_reset
+
+       # Disable -Werror
+       sed -e '/-Werror=/d' -i meson.build ||  die
+
+       if use previewer; then
+               DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media 
files.
+                       To activate the previewer, select a file and press 
space; to
+                       close the previewer, press space again."
+       fi
+
+       # Disable test-nautilus-search-engine-tracker; bug #831170
+       sed -e '/^tracker_tests = /{n;N;N;d}' -i 
test/automated/displayless/meson.build || die
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_use gtk-doc docs)
+               -Dextensions=true # image file properties, sendto support; also 
required for -Dgstreamer=true
+               $(meson_use introspection)
+               -Dpackagekit=false
+               $(meson_use selinux)
+               $(meson_use cloudproviders)
+               -Dprofiling=false
+               -Dtests=$(usex test all none)
+
+               $(meson_use gstreamer) # gstreamer audio-video-properties 
extension
+       )
+       meson_src_configure
+}
+
+src_install() {
+       use previewer && readme.gentoo_create_doc
+       meson_src_install
+}
+
+src_test() {
+       # Avoid dconf that looks at XDG_DATA_DIRS, which can sandbox fail if 
flatpak is installed
+       gnome2_environment_reset
+       # TODO: Tests require tracker testutils (e.g. tracker-sandbox), which 
may
+       # need some sorting out with tracker use flag deps
+       XDG_SESSION_TYPE=x11 virtx dbus-run-session meson test -C 
"${BUILD_DIR}" || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+
+       if use previewer; then
+               readme.gentoo_print_elog
+       else
+               elog "To preview media files, emerge nautilus with 
USE=previewer"
+       fi
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to